package com.bocloud.cmp.model;

import java.util.List;

/**
 * 青云数据同步model
 *
 * @author wangyu
 * @version 4.2.1-SNAPSHOT
 * @since 2019/10/24
 */
public class QcloudSyncModel {
    private List<RegionModel> regionModels;
    private List<ZoneModel> zoneModels;
    private List<ServerModel> serverModels;
    private List<VpcModel> vpcModels;
    private List<SubnetModel> subnetModels;
    private List<VolumeModel> volumeModels;
    private List<SnapshotModel> snapshotModels;
    private List<ImageModel> imageModels;
    private List<FlavorModel> flavorModels;
    private List<RouterModel> routerModels;
    private List<SecurityGroupModel> groupModels;
    private List<SecurityGroupRuleModel> ruleModels;
    private List<KeypairModel> keypairModels;
    private List<FloatingIpModel> floatingIpModels;

    /**
     *
     */
    public QcloudSyncModel() {
    }

    /**
     * @param regionModels
     * @param zoneModels
     * @param serverModels
     * @param vpcModels
     * @param subnetModels
     * @param volumeModels
     * @param snapshotModels
     * @param imageModels
     * @param flavorModels
     * @param routerModels
     * @param groupModels
     * @param ruleModels
     * @param keypairModels
     * @param floatingIpModels
     */
    public QcloudSyncModel(List<RegionModel> regionModels, List<ZoneModel> zoneModels, List<ServerModel> serverModels, List<VpcModel> vpcModels, List<SubnetModel> subnetModels, List<VolumeModel> volumeModels, List<SnapshotModel> snapshotModels, List<ImageModel> imageModels, List<FlavorModel> flavorModels, List<RouterModel> routerModels, List<SecurityGroupModel> groupModels, List<SecurityGroupRuleModel> ruleModels, List<KeypairModel> keypairModels, List<FloatingIpModel> floatingIpModels) {
        this.regionModels = regionModels;
        this.zoneModels = zoneModels;
        this.serverModels = serverModels;
        this.vpcModels = vpcModels;
        this.subnetModels = subnetModels;
        this.volumeModels = volumeModels;
        this.snapshotModels = snapshotModels;
        this.imageModels = imageModels;
        this.flavorModels = flavorModels;
        this.routerModels = routerModels;
        this.groupModels = groupModels;
        this.ruleModels = ruleModels;
        this.keypairModels = keypairModels;
        this.floatingIpModels = floatingIpModels;
    }

    public List<RegionModel> getRegionModels() {
        return regionModels;
    }

    public void setRegionModels(List<RegionModel> regionModels) {
        this.regionModels = regionModels;
    }

    public List<ZoneModel> getZoneModels() {
        return zoneModels;
    }

    public void setZoneModels(List<ZoneModel> zoneModels) {
        this.zoneModels = zoneModels;
    }

    public List<ServerModel> getServerModels() {
        return serverModels;
    }

    public void setServerModels(List<ServerModel> serverModels) {
        this.serverModels = serverModels;
    }

    public List<VpcModel> getVpcModels() {
        return vpcModels;
    }

    public void setVpcModels(List<VpcModel> vpcModels) {
        this.vpcModels = vpcModels;
    }

    public List<SubnetModel> getSubnetModels() {
        return subnetModels;
    }

    public void setSubnetModels(List<SubnetModel> subnetModels) {
        this.subnetModels = subnetModels;
    }

    public List<VolumeModel> getVolumeModels() {
        return volumeModels;
    }

    public void setVolumeModels(List<VolumeModel> volumeModels) {
        this.volumeModels = volumeModels;
    }

    public List<SnapshotModel> getSnapshotModels() {
        return snapshotModels;
    }

    public void setSnapshotModels(List<SnapshotModel> snapshotModels) {
        this.snapshotModels = snapshotModels;
    }

    public List<ImageModel> getImageModels() {
        return imageModels;
    }

    public void setImageModels(List<ImageModel> imageModels) {
        this.imageModels = imageModels;
    }

    public List<FlavorModel> getFlavorModels() {
        return flavorModels;
    }

    public void setFlavorModels(List<FlavorModel> flavorModels) {
        this.flavorModels = flavorModels;
    }

    public List<RouterModel> getRouterModels() {
        return routerModels;
    }

    public void setRouterModels(List<RouterModel> routerModels) {
        this.routerModels = routerModels;
    }

    public List<SecurityGroupModel> getGroupModels() {
        return groupModels;
    }

    public void setGroupModels(List<SecurityGroupModel> groupModels) {
        this.groupModels = groupModels;
    }

    public List<SecurityGroupRuleModel> getRuleModels() {
        return ruleModels;
    }

    public void setRuleModels(List<SecurityGroupRuleModel> ruleModels) {
        this.ruleModels = ruleModels;
    }

    public List<KeypairModel> getKeypairModels() {
        return keypairModels;
    }

    public void setKeypairModels(List<KeypairModel> keypairModels) {
        this.keypairModels = keypairModels;
    }

    public List<FloatingIpModel> getFloatingIpModels() {
        return floatingIpModels;
    }

    public void setFloatingIpModels(List<FloatingIpModel> floatingIpModels) {
        this.floatingIpModels = floatingIpModels;
    }
}
